# Generated from bundler-shellsplit-plugin-1.0.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bundler-shellsplit-plugin

Name: rubygem-%{gem_name}
Version: 1.0.1
Release: 1%{?dist}
Summary: Plugin to fix shell splitting of bundle config arguments in Bundler 1.17.3 to Bundler 2.0.2, fixed in Bundler 2.1.0
License: MIT
URL: https://github.com/wovnio/bundler-shellsplit-plugin
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Plugin to fix shell splitting of bundle config arguments in Bundler 1.17.3 to
Bundler 2.0.2, fixed in Bundler 2.1.0. In the affected versions, multiple
arguments to bundle config become a single argument with spaces. This plugin
reverses that transformation. Adapted from
https://github.com/rubygems/bundler/issues/6940#issuecomment-470643613 and
fixes https://github.com/rubygems/bundler/issues/6940 for these older
versions.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_instdir}/plugins.rb
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bundler-shellsplit-plugin.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 1.0.1-1
- Initial package
